﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinExplorerBar;

namespace WindowsFormsApplication246
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraExplorerBar1.CreationFilter = new CF();
        }
    }

    class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is GroupUIElement)
            {
                ImageUIElement el = new ImageUIElement(parent.Parent, SystemIcons.Asterisk.ToBitmap());
                el.Rect = new Rectangle(parent.Rect.Width/2, parent.Rect.Height+ parent.Rect.Y, 30, 15);
                parent.Parent.ChildElements.Add(el);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }

}
